2017-10-21 54 views
2

Je viens de mettre à jour mon Android Studio de 1.5 à 2.3, j'ai juste décompressé le dossier et copié dans le dossier de téléchargement, maintenant quand je commence studio android, je reçois ce message :Android studio lancer l'erreur au démarrage, machine linux

Internal Error. Please report to https://code.google.com/p/android/issues 

java.lang.RuntimeException: com.intellij.ide.plugins.PluginManager$StartupAbortedException: Fatal error initializing 'com.android.tools.idea.AndroidInitialConfigurator' 
    at com.intellij.idea.IdeaApplication.run(IdeaApplication.java:203) 
    at com.intellij.idea.MainImpl$1.lambda$null$0(MainImpl.java:47) 
    at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:311) 
    at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:756) 
    at java.awt.EventQueue.access$500(EventQueue.java:97) 
    at java.awt.EventQueue$3.run(EventQueue.java:709) 
    at java.awt.EventQueue$3.run(EventQueue.java:703) 
    at java.security.AccessController.doPrivileged(Native Method) 
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:80) 
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:726) 
    at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:358) 
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201) 
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116) 
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105) 
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101) 
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93) 
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:82) 
Caused by: com.intellij.ide.plugins.PluginManager$StartupAbortedException: Fatal error initializing 'com.android.tools.idea.AndroidInitialConfigurator' 
    at com.intellij.ide.plugins.PluginManager.handleComponentError(PluginManager.java:248) 
    at com.intellij.openapi.components.impl.PlatformComponentManagerImpl.handleInitComponentError(PlatformComponentManagerImpl.java:43) 
    at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:536) 
    at com.intellij.openapi.components.impl.ComponentManagerImpl.createComponents(ComponentManagerImpl.java:119) 
    at com.intellij.openapi.application.impl.ApplicationImpl.lambda$createComponents$8(ApplicationImpl.java:429) 
    at com.intellij.openapi.progress.impl.CoreProgressManager$3.run(CoreProgressManager.java:170) 
    at com.intellij.openapi.progress.impl.CoreProgressManager.registerIndicatorAndRun(CoreProgressManager.java:494) 
    at com.intellij.openapi.progress.impl.CoreProgressManager.executeProcessUnderProgress(CoreProgressManager.java:443) 
    at com.intellij.openapi.progress.impl.ProgressManagerImpl.executeProcessUnderProgress(ProgressManagerImpl.java:54) 
    at com.intellij.openapi.progress.impl.CoreProgressManager.runProcess(CoreProgressManager.java:155) 
    at com.intellij.openapi.application.impl.ApplicationImpl.createComponents(ApplicationImpl.java:436) 
    at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:103) 
    at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:392) 
    at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:384) 
    at com.intellij.idea.IdeaApplication.run(IdeaApplication.java:196) 
    ... 16 more 
Caused by: java.lang.NoSuchMethodError: com.android.prefs.AndroidLocation.checkAndroidSdkHome()V 
    at com.android.tools.idea.startup.GradleSpecificInitializer.checkAndroidSdkHome(GradleSpecificInitializer.java:345) 
    at com.android.tools.idea.startup.GradleSpecificInitializer.run(GradleSpecificInitializer.java:116) 
    at com.android.tools.idea.AndroidInitialConfigurator.activateAndroidStudioInitializerExtensions(AndroidInitialConfigurator.java:198) 
    at com.android.tools.idea.AndroidInitialConfigurator.<init>(AndroidInitialConfigurator.java:65) 
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) 
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62) 
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) 
    at java.lang.reflect.Constructor.newInstance(Constructor.java:423) 
    at org.picocontainer.defaults.InstantiatingComponentAdapter.newInstance(InstantiatingComponentAdapter.java:193) 
    at org.picocontainer.defaults.ConstructorInjectionComponentAdapter$1.run(ConstructorInjectionComponentAdapter.java:220) 
    at org.picocontainer.defaults.ThreadLocalCyclicDependencyGuard.observe(ThreadLocalCyclicDependencyGuard.java:53) 
    at org.picocontainer.defaults.ConstructorInjectionComponentAdapter.getComponentInstance(ConstructorInjectionComponentAdapter.java:248) 
    at com.intellij.util.pico.CachingConstructorInjectionComponentAdapter.getComponentInstance(CachingConstructorInjectionComponentAdapter.java:58) 
    at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentConfigComponentAdapter.getComponentInstance(ComponentManagerImpl.java:495) 
    ... 28 more 

Je googlé beaucoup et trouvé des solutions comme:

1) redémarrer l'ordinateur, ne fonctionne pas
2) désactiver Internet, puis commencer, ne fonctionnait pas
3) supprimer .Android1.5 dossier, n'a pas fonctionné

Je me demande quelle est la solution maintenant, je suis incapable de faire quoi que ce soit maintenant! Si quelqu'un a résolu ce problème, s'il vous plaît laissez-moi savoir quelles sont les meilleures solutions?

config système

Ubuntu 16.04 
Ram 8 GB 
java version "1.8.0_121" 
Java(TM) SE Runtime Environment (build 1.8.0_121-b13) 
Java HotSpot(TM) 64-Bit Server VM (build 25.121-b13, mixed mode) 

Répondre

0

Il semble comme une dépendance de l'android-sdk n'a pas pu être chargé. Cette partie du message d'erreur ci-dessus est très importante:

Caused by: java.lang.NoSuchMethodError: com.android.prefs.AndroidLocation.checkAndroidSdkHome()V 

J'ai d'abord essayé d'installer l'application Android sdk qui n'a pas aidé.

Merci, je viens d'ajouter les ppa avec:

sudo add-apt-repository ppa:maarten-fonville/android-studio 

et installé android-studio avec apt-get avec:

sudo apt-get update 
sudo apt-get install android-studio 

Après cela, il a travaillé pour moi.